<nav>
    <div>
        <a routerLink="">Home</a>|
        <a routerLink="hello">Hello</a>|
        <a routerLink="msg">Message</a>
    </div>
</nav>
<div class="content">
    <router-outlet><p>Router-Outlet</p></router-outlet>
    <hr>
    <p> This is Angular sample here</p>
</div>        